from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XPrimitive3D(XInterface, Protocol):
    def getDecomposition(self, aViewParameters: PropertyValue >) -> list[XPrimitive3D]: ...
    def getRange(self, aViewParameters: PropertyValue >) -> RealRectangle3D: ...
